# Privacy Policy for Media Remote Social

**Last Updated: January 27, 2025**

## Overview

Media Remote Social ("the Module") is a Drupal module that enables websites to embed public Facebook and Instagram content using Meta's oEmbed API. This privacy policy explains how the Module handles data.

## Information We Collect

The Module does **NOT** collect, store, or process any personal user data. The Module only:

1. **Stores Meta Access Tokens**: Site administrators provide Meta access tokens for API authentication. These tokens are stored securely using Drupal's Key module.

2. **Processes Public URLs**: When embedding content, the Module sends public Facebook/Instagram URLs to Meta's oEmbed API to retrieve embed codes.

## How We Use Information

- **Access Tokens**: Used solely to authenticate requests to Meta's Graph API for retrieving public embed codes
- **URLs**: Sent to Meta's oEmbed endpoints to fetch publicly available content
- **No User Tracking**: The Module does not track, analyze, or store any information about end users

## Data Storage

- **Access Tokens**: Stored in the site's database using Drupal's secure Key module
- **Embed Data**: Cached temporarily by Drupal's media system for performance
- **No Personal Data**: The Module does not create or maintain any database of user information

## Third-Party Services

The Module communicates with:
- **Meta Graph API**: To retrieve oEmbed data for public Facebook and Instagram content
- All data processing by Meta is subject to [Meta's Privacy Policy](https://www.facebook.com/privacy/policy)

## Data Sharing

The Module does **NOT**:
- Share any data with third parties
- Collect analytics or usage statistics
- Store user information
- Use cookies or tracking mechanisms

## Data Security

- Access tokens are stored using Drupal's Key module for secure credential management
- All API communications use HTTPS
- The Module follows Drupal security best practices

## Children's Privacy

The Module does not knowingly collect any information from children under 13 years of age.

## Changes to This Policy

We may update this privacy policy from time to time. Changes will be noted with an updated "Last Updated" date.

## Contact Information

For questions about this privacy policy or the Module, please visit:
https://github.com/drupal/media_remote_social

## Compliance

This Module is designed to help websites comply with privacy regulations by:
- Not collecting personal data
- Only processing publicly available content
- Providing transparent information about data usage