# Terms of Service for Media Remote Social

**Last Updated: January 27, 2025**

## 1. Acceptance of Terms

By installing and using the Media Remote Social module ("the Module"), you agree to be bound by these Terms of Service ("Terms"). If you do not agree to these Terms, do not use the Module.

## 2. Description of Service

Media Remote Social is a Drupal module that:
- Enables embedding of public Facebook and Instagram content
- Requires Meta API authentication
- Uses Meta's oEmbed endpoints to retrieve embed codes

## 3. License

The Module is provided under the GNU General Public License v2.0 or later. You may:
- Use the Module for any purpose
- Modify the Module
- Distribute the Module
- All subject to the terms of the GPL license

## 4. Requirements and Responsibilities

**You are responsible for:**
- Obtaining valid Meta API credentials
- Complying with [Meta's Platform Terms](https://developers.facebook.com/terms)
- Complying with [Meta's Platform Policy](https://developers.facebook.com/policy)
- Ensuring you have rights to embed the content
- Maintaining security of your access tokens
- Complying with all applicable laws and regulations

## 5. Acceptable Use

**You agree to:**
- Only embed publicly available content
- Respect intellectual property rights
- Not use the Module for illegal purposes
- Not attempt to circumvent Meta's API limitations
- Not use the Module to harvest or collect user data

**You agree NOT to:**
- Embed private or restricted content without permission
- Violate Meta's terms of service
- Use the Module for spam or harassment
- Modify the Module to bypass security restrictions

## 6. Privacy and Data Protection

- The Module does not collect personal user data
- You must comply with applicable privacy laws (GDPR, CCPA, etc.)
- You are responsible for providing privacy notices to your users
- See our [Privacy Policy](privacy-policy.md) for details

## 7. API Usage and Limitations

**You acknowledge that:**
- Meta API access requires approval
- API rate limits apply
- Meta may change or discontinue API access
- The Module depends on third-party services

## 8. Disclaimer of Warranties

THE MODULE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO:
- MERCHANTABILITY
- FITNESS FOR A PARTICULAR PURPOSE
- NON-INFRINGEMENT
- AVAILABILITY OR ACCURACY

## 9. Limitation of Liability

IN NO EVENT SHALL THE MODULE DEVELOPERS BE LIABLE FOR ANY:
- DIRECT, INDIRECT, INCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES
- LOSS OF PROFITS, DATA, OR USE
- BUSINESS INTERRUPTION
- ANY DAMAGES WHATSOEVER

## 10. Indemnification

You agree to indemnify and hold harmless the Module developers from any claims, damages, losses, or expenses arising from:
- Your use of the Module
- Your violation of these Terms
- Your violation of any third-party rights
- Your content or embeds

## 11. Third-Party Services

**The Module relies on:**
- Meta Graph API
- Facebook oEmbed service
- Instagram oEmbed service

These services are governed by Meta's terms and policies. We are not responsible for:
- Changes to Meta's APIs
- Availability of Meta's services
- Content provided by Meta's APIs

## 12. Modifications to Terms

We reserve the right to modify these Terms at any time. Continued use of the Module after changes constitutes acceptance of the modified Terms.

## 13. Termination

- You may stop using the Module at any time
- We may discontinue the Module at any time
- Provisions that should survive termination will remain in effect

## 14. Governing Law

These Terms are governed by the laws applicable to open source software and the jurisdiction where you use the Module.

## 15. Entire Agreement

These Terms constitute the entire agreement between you and the Module developers regarding the use of the Module.

## 16. Contact Information

For questions about these Terms, please visit:
https://github.com/drupal/media_remote_social

## 17. Open Source Notice

This Module is open source software. Contributors are not liable for any issues arising from the use of this Module. Use at your own risk.

---

**By using Media Remote Social, you acknowledge that you have read, understood, and agree to be bound by these Terms of Service.**